Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 235769 - RFE: No 'mark as read' or 'mark as spam' buttons; just 'delete'.
Summary: RFE: No 'mark as read' or 'mark as spam' buttons; just 'delete'.
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: mail-notification
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Thorsten Leemhuis
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-04-10 03:07 UTC by David Woodhouse
Modified: 2007-11-30 22:12 UTC (History)
0 users

Fixed In Version: mail-notification-4.1-1
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-09-01 11:20:49 UTC


Attachments (Terms of Use)
patch (deleted)
2007-06-11 13:56 UTC, David Woodhouse
no flags Details | Diff

Description David Woodhouse 2007-04-10 03:07:01 UTC
The 'mark as spam' button in the notification popup is utterly meaningless to
me; since I don't use this weird thing (I even disabled the unwanted Junk and
Trash vFolders since they get in the way of real folders with those names). 

The 'mark as read' isn't much use either. The only thing I really want to do to
mail without actually going to the MUA and reading it is 'delete'.

Please could we make the actions on the popup window configurable?

Comment 1 Thorsten Leemhuis 2007-04-25 14:33:03 UTC
Forwarded upstream:
https://savannah.nongnu.org/bugs/index.php?19696

Comment 2 David Woodhouse 2007-06-11 13:56:31 UTC
Created attachment 156709 [details]
patch

This patch implements the 'delete' option. Then I just need to disable the
unwanted 'Mark as Spam' and 'Mark as Read' options.

Comment 3 David Woodhouse 2007-06-26 13:09:35 UTC
Fixed in mail-notification 4.1

Comment 4 Thorsten Leemhuis 2007-09-01 11:20:49 UTC
(In reply to comment #3)
> Fixed in mail-notification 4.1

Seems we forgot to close this. Doing that now


Note You need to log in before you can comment on or make changes to this bug.